import { RouteRecordRaw } from 'vue-router';

const routes: RouteRecordRaw[] = [
  {
    path: '/',
    component: () => import('layouts/MainLayout.vue'),
    children: [
      {
        path: '',
        component: () => import('pages/IndexPage.vue'),
        // meta: { requiresAuth: true },
      },
      {
        path: 'sign-in',
        component: () => import('pages/SignInPage.vue'),
        // meta: { requiresAuth: true },
      },
      {
        path: 'profile',
        component: () => import('pages/IndexPage.vue'),
        // meta: { requiresAuth: true },
      },
      {
        path: 'news',
        component: () => import('pages/IndexPage.vue'),
        // meta: { requiresAuth: true },
      },
      {
        path: 'updates',
        component: () => import('pages/IndexPage.vue'),
        // meta: { requiresAuth: true },
      },
      {
        path: 'streams',
        component: () => import('pages/IndexPage.vue'),
        // meta: { requiresAuth: true },
      },
      {
        path: 'shop',
        component: () => import('pages/IndexPage.vue'),
        // meta: { requiresAuth: true },
      },
    ],
  },

  // Always leave this as last one,
  // but you can also remove it
  {
    path: '/:catchAll(.*)*',
    component: () => import('pages/ErrorNotFound.vue'),
  },
];

export default routes;
